%define ocamlpck  sexplib0

Name:          ocaml-sexplib0
Version:       0.16.0
Release:       1mamba
Summary:       Library containing the definition of S-expressions and some base converters
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/janestreet/sexplib0
Source:        https://github.com/janestreet/sexplib0.git/v%{version}/sexplib0-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: ocaml-camlp4-devel
BuildRequires: ocaml-findlib
BuildRequires: dune
Requires:      ocaml-runtime

%description
Library containing the definition of S-expressions and some base converters.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n sexplib0-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc LICENSE.md

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc README.md

%changelog
* Sat Jul 08 2023 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 0.15.1-2mamba
- rebuilt with ocaml 4.14.1

* Thu Jun 23 2022 Automatic Build System <autodist@mambasoft.it> 0.15.1-1mamba
- automatic version update by autodist

* Sun Jan 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-1mamba
- package created using the webbuild interface
